import * as React from 'react'
import Request from '../utils/request'
import { BASIC_ADD_FORMS } from '../pages/equipment/AddForm'
/**
 * @description 获取门禁设备列表
 * @returns
 */
export const useAccessControllList = () => {
    const [state, setState] = React.useState({
        loading: false,
        dataSource: [],
        page: 1,
    })
    const request = (params: { page: number; filter: string }) => {
        setState((preState) => ({ ...preState, loading: true }))
        return Request.sendRequest({
            url: '/v1/device/attendance_list',
            params,
        })
            .then((data: any) => {
                setState((preState) => ({
                    ...preState,
                    ...data,
                    loading: false,
                    dataSource: data.list,
                }))
            })
            .catch(() => {
                setState((preState) => ({ ...preState, loading: false }))
            })
    }
    return { state, request }
}
export const useAddAccessControl = () => {
    const [state, setState] = React.useState({
        loading: false,
    })
    const request = (data: any) => {
        setState((preState) => ({ ...preState, loading: true }))
        return Request.sendRequest({
            url: '/v1/device/attendance',
            method: 'POST',
            data,
        }).finally(() => {
            setState((preState) => ({ ...preState, loading: false }))
        })
    }
    return { state, request }
}
